Package ru.bitel.bgbilling.modules.vod.common.bean

# Class Subscriber

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.vod.common.bean.Subscriber

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Subscriber extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_ACTIVE`
  `static final int`
  `STATUS_INACTIVE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subscriber()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getActivationTime()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `Date`
  `getDeactivationTime()`
  `String`
  `getPin()`
  `int`
  `getStatus()`
  `void`
  `setActivationTime(Date activationTime)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDeactivationTime(Date deactivationTime)`
  `void`
  `setPin(String pin)`
  `void`
  `setStatus(int status)`
  `static final String`
  `statusToString(int status)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      - Constant Field Values

  - ### STATUS_INACTIVE

    public static final int STATUS_INACTIVE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Subscriber

    public Subscriber()

- ## Method Details

  - ### getPin

    public String getPin()

  - ### setPin

    public void setPin(String pin)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getActivationTime

    public Date getActivationTime()

  - ### setActivationTime

    public void setActivationTime(Date activationTime)

  - ### getDeactivationTime

    public Date getDeactivationTime()

  - ### setDeactivationTime

    public void setDeactivationTime(Date deactivationTime)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### statusToString

    public static final String statusToString(int status)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`